import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A feature of levels on which BobRoss ans Rabbits can stand.
 */
public class Cloud extends Actor implements Tiles {
    
    private int type;
    private String fileName; 
    
    /**
     * Constructs a middle section Cloud.
     */
    public Cloud() {
        setImage("CloudTile_0.png");
    }
    
    /**
     * Constructs a Cloud with a specified image.
     * 
     * @precondtition type must be 0, 1, or 2.
     * @param type the kind of Cloud to be set.
     */
    public Cloud(int type){
        if(type == 0) {
            //middle
            fileName = "CloudTile_0.png";
        }
        else if(type == 1) {
            //left corner
            fileName = "CloudTile_1.png";
        }
        else if(type == 2) {
            //right corner
            fileName = "CloudTile_2.png";
        }
        setImage(fileName);
    }

    /**
     * @return the type of Cloud.
     */
    public int getType() {
        return type;
    }

    /**
     * @param the type of Cloud.
     */
    public void setType(int type) {
        this.type = type;
    }

    /**
     * @return the name of the file for the Cloud image.
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * @param fileName the name of the file for the Cloud image.
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * @return a String representation of the object.
     */
    public String toString() {
        return "Cloud{" +
                "type = " + type +
                ", fileName = '" + fileName + '\'' +
                '}';
    }
}