import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A Rabbit that has no effecto on BobRoss.
 */
public class GoodRabbit extends Rabbit {
    
    private int height, width;
    private static final String STAND_L = "RStandL.png";
    private static final String STAND_R = "RStandR.png";
    private static final String[] WALK_L = {"RWalkL_0.png", "RWalkL_1.png", "RWalkL_2.png", "RWalkL_3.png", "RWalkL_4.png", "RWalkL_5.png", "RWalkL_6.png"};
    private static final String[] WALK_R = {"RWalkR_0.png", "RWalkR_1.png", "RWalkR_2.png", "RWalkR_3.png", "RWalkR_4.png", "RWalkR_5.png", "RWalkR_6.png"};
    
    /**
     * Constructs a GoodlRabbit with the default animation frames. 
     */
    public GoodRabbit() {
        super(STAND_L, STAND_R, WALK_L, WALK_R);
        height = getImage().getHeight();
        width = getImage().getWidth();
    }
    
    /**
     * Constructs a GoodRabbit with the default animation frames facing
     * a specified direction.
     *
     * @param isLeft whether or not the character is facing left.
     */
    public GoodRabbit(boolean isLeft) {
        super(isLeft, STAND_L, STAND_R, WALK_L, WALK_R);
        height = getImage().getHeight();
        width = getImage().getWidth();
    }

    /**
     * Make the GoodRabbit move in a random directions for a random amount of steps.
     * The GoodRabbit waits for two seconds after a set of steps is completed.
     */
    public void act() {
        super.act();
    }    
    /**
     * @return the height of the image for the character.
     */
    public int getHeight() {
        return height;
    }

    /**
     * @param height the height of the image for the character.
     */
    public void setHeight(int height) {
        this.height = height;
    }

    /**
     * @return the width of the image for the character.
     */
    public int getWidth() {
        return width;
    }

    /**
     * @param width the width of the image for the character.
     */
    public void setWidth(int width) {
        this.width = width;
    }
    
    /**
     *
     * @return a String representation of the object.
     */
    public String toString() {
        return "GoodRabbit{" +
                "height = " + height +
                ", width = " + width +
                '}';
    }
}
