import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A feature of levels on which BobRoss ans Rabbits can stand.
 */
public class Grass extends Actor implements Tiles {
    
    private int type;
    private String fileName; 
    
    /**
     * Constructs a middle section Grass.
     */
    public Grass() {
        setImage("GroundTile_0.png");
    }
    
    /**
     * Constructs a Grass with a specified image.
     * 
     * @precondtition type must be 0, 1, or 2.
     * @param type the kind of Grass to be set.
     */
    public Grass(int type){
        if(type == 0) {
            //middle
            fileName = "GroundTile_0.png";
        }
        else if(type == 1) {
            //left corner
            fileName = "GroundTile_1.png";
        }
        else if(type == 2) {
            //right corner
            fileName = "GroundTile_2.png";
        }
        setImage(fileName);
    }

    /**
     * @return the type of Grass.
     */
    public int getType() {
        return type;
    }

    /**
     * @param the type of Grass.
     */
    public void setType(int type) {
        this.type = type;
    }

    /**
     * @return the name of the file for the Grass image.
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * @param fileName the name of the file for the Grass image.
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * @return a String representation of the object.
     */
    public String toString() {
        return "Grass{" +
                "type = " + type +
                ", fileName = '" + fileName + '\'' +
                '}';
    }
}
