import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is a helper class of sorts. Its only purpose is to allow
 * images to be treated as objects, as apposed to GreenfootImage.
 */
public class Image extends Actor {
    
    private String fileName;
    
    /**
     * Sole constructor for Image class.
     * 
     * @param fileName the name of the image file.
     */
    public Image(String fileName) {
        this.fileName = fileName;
        setImage(fileName);
    }

    /**
     * @return the name of the image file.
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * @param the name of the image file.
     */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    /**
     * @return a String representation of the object.
     */
    public String toString() {
        return "Image{" +
                "fileName = '" + fileName + '\'' +
                '}';
    }
}
