import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is the object which Bob Ross "collects" in order to
 * complete a level.
 */
public class Palette extends Actor {
    
    private int frame;
    private String[] paletteMove;
    
    /**
     * The sole consttructor for a palette object.
     */
    public Palette() {
        frame = 0;
        paletteMove = new String[] {"Palette_0.png", "Palette_1.png", "Palette_2.png", "Palette_3.png"};
    }
    
    /**
     * Animates the bobbing movement of the palette.
     */
    public void act() {
       if(frame == 0) setImage(paletteMove[0]);
       if(frame == 2) setImage(paletteMove[1]);
       if(frame == 4) setImage(paletteMove[2]);
       if(frame == 6) setImage(paletteMove[3]);
       if(frame == 8) setImage(paletteMove[3]);
       if(frame == 10) setImage(paletteMove[2]);
       if(frame == 12) setImage(paletteMove[1]);
       if(frame == 14) { 
           setImage(paletteMove[0]);
           frame = 0;
      }
      frame++;
    }

    /**
     * @return the animation frame the object is on.
     */
    public int getFrame() {
        return frame;
    }

    /**
     * @param frame the animation frame the object is on.
     */
    public void setFrame(int frame) {
        this.frame = frame;
    }

    /**
     * @return the array of palette animation frames.
     */
    public String[] getPaletteMove() {
        return paletteMove;
    }

    /**
     * @param paletteMove the array of palette animation frames.
     */
    public void setPaletteMove(String[] paletteMove) {
        this.paletteMove = paletteMove;
    }

    /**
     * @return a String representation of the object.
     */
    public String toString() {
        return "Palette{" +
                "frame = " + frame +
                ", paletteMove = " + java.util.Arrays.toString(paletteMove) +
                '}';
    }
}
